function [string,ixc]=updateheatcapacity(md,ixc,dvar,i)

ixc=ixc+1;
if strcmpi(md.analysis_driver,'matlab')
    string=sprintf('\tmd.heatcapacity=Dakota.xC(%d);\n',ixc);
else
    string=sprintf('\tmd.heatcapacity={%s};\n',dvar(i).descriptor);
end

end
